# SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
# SPDX-License-Identifier: Apache-2.0
---
## Install Prometheus Operator CRDs
##
crds:
  enabled: false


## Using default values from https://github.com/grafana/helm-charts/blob/main/charts/grafana/values.yaml
##
grafana:
  ingress:
    ## If true, Grafana Ingress will be created
    ##
    enabled: true

  persistence:
    inMemory:
      enabled: true
      sizeLimit: "300Mi"

  sidecar:
    dashboards:
      enabled: true
      label: grafana_dashboard
      labelValue: "1"
      searchNamespace: "ALL"
      folderAnnotation: "grafana-dashboard-folder"
      provider:
        foldersFromFilesStructure: true
      annotations:
        "grafana-dashboard-folder": "Kubernetes"

prometheus:
  ingress:
    ## If true, Grafana Ingress will be created
    ##
    enabled: true
...
